summaryrefslogtreecommitdiff
path: root/oh-my-zsh/plugins/droplr
diff options
context:
space:
mode:
authorAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
committerAditya <bluenerd@protonmail.com>2023-02-27 20:04:56 +0530
commitedc449275b6c04445f58b108ca0937a87c1e8430 (patch)
tree9fd484d58145b616f29a78857cc0b1c8b1c18f05 /oh-my-zsh/plugins/droplr
parent6f5424ca96c4221ef433f545642669e9c104d0ed (diff)
add zsh
Diffstat (limited to 'oh-my-zsh/plugins/droplr')
-rw-r--r--oh-my-zsh/plugins/droplr/README.md19
-rw-r--r--oh-my-zsh/plugins/droplr/droplr.plugin.zsh15
2 files changed, 34 insertions, 0 deletions
diff --git a/oh-my-zsh/plugins/droplr/README.md b/oh-my-zsh/plugins/droplr/README.md
new file mode 100644
index 0000000..6daa254
--- /dev/null
+++ b/oh-my-zsh/plugins/droplr/README.md
@@ -0,0 +1,19 @@
+# droplr
+
+Use [Droplr](https://droplr.com/) from the command line to upload files and shorten
+links. It needs to have [Droplr.app](https://droplr.com/apps) installed and logged
+in. MacOS only.
+
+To use it, add `droplr` to the `$plugins` variable in your zshrc file:
+
+```zsh
+plugins=(... droplr)
+```
+
+Author: [Fabio Fernandes](https://github.com/fabiofl)
+
+## Examples
+
+- Upload a file: `droplr ./path/to/file/`
+
+- Shorten a link: `droplr https://example.com`
diff --git a/oh-my-zsh/plugins/droplr/droplr.plugin.zsh b/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
new file mode 100644
index 0000000..af0a212
--- /dev/null
+++ b/oh-my-zsh/plugins/droplr/droplr.plugin.zsh
@@ -0,0 +1,15 @@
+# Only compatible with MacOS
+[[ "$OSTYPE" == darwin* ]] || return
+
+droplr() {
+ if [[ $# -eq 0 ]]; then
+ echo You need to specify a parameter. >&2
+ return 1
+ fi
+
+ if [[ "$1" =~ ^https?:// ]]; then
+ osascript -e 'tell app "Droplr" to shorten "'"$1"'"'
+ else
+ open -ga /Applications/Droplr.app "$1"
+ fi
+}